<template>
  <div class="inline-16">
    <el-popconfirm
        title="确定删除此产品技术资料档案吗？"
        @confirm="deleteRow()">
      <el-button slot="reference" size="small" type="text">删 除</el-button>
    </el-popconfirm>
  </div>
</template>

<script>
export default {
  name: "fileDel",
  props:['data'],
  methods: {
    async deleteRow(){
      const res = await this.$api.requested({
        "id": "20220926095903",
        "version":1,
        "content": {
          "plm_technicalinfoid":this.data.plm_technicalinfoid
        }
      })
      this.tool.showMessage(res, ()=> {
        console.log(res)
        this.$emit('deleteSuccess')
      })
    }
  }
}
</script>

<style scoped>

</style>